Bug 498787 - Scribus Master Pages mode stays forever (and causes the application to be useless)
Scribus Master Pages mode stays forever (and causes the application to be use...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 07:13 EDT by Need Real Name
Modified: 2009-05-29 06:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 06:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-05-03 07:13:07 EDT
Description of problem:
No wait to exit Edit->Master Pages

Version-Release number of selected component (if applicable):
Scribus 1.3.5svn

How reproducible:
Trivial: Just ,  . 
Steps to Reproduce:
1. start Scribus
2. choose "Edit"
3. then "Master Pages"
  
Actual results:
The function works as it should but there is no way to end the "Master Pages" widnow or mode. The "Master Pages" lacks a Close Window icon, and Scribus hangs if you try to quit it by other means.

Expected results:
That there should be a way of ending the "Master Pages" mode, obviously.

Additional info:
Comment 1 Dan Horák 2009-05-03 13:15:32 EDT
What package version do you have installed? You can use "rpm -q scribus" on the command line or the "Add/remove software" GUI tool from the System menu.
Comment 2 Need Real Name 2009-05-03 16:22:47 EDT
I update directly from Rawhide using yum, so presumably pretty much the same scenario as the "Add/remove software GUI".

The behavior is exactly the same for the two recent versions:

scribus-1.3.5-0.11.20090329svn13359.fc11.i586

scribus-1.3.5-0.12.beta.fc11.i586

As mentioned, extremely easy to reproduce: Start Scribus (new or existing document does not matter), go to Edit -> Master Pages and you are stuck: there is no way to end the Master Pages mode, you cannot quite the window.
Comment 3 Dan Horák 2009-05-04 02:47:27 EDT
I have tested it with scribus-1.3.5-0.12.beta on F-10/x86_64 and I can close the window with pressing <Esc>. I agree it can annoying that there is no close button, but please report this issue upstream at http://bugs.scribus.net
Comment 4 Dan Horák 2009-05-20 04:00:27 EDT
ping?

Note You need to log in before you can comment on or make changes to this bug.